org.eclipse.emf.cdo.common

## Enum CDOCommonSession.Options.PassiveUpdateMode

- java.lang.Object
- - java.lang.Enum<CDOCommonSession.Options.PassiveUpdateMode>
  - - org.eclipse.emf.cdo.common.CDOCommonSession.Options.PassiveUpdateMode

- All Implemented Interfaces:
    Serializable, Comparable<CDOCommonSession.Options.PassiveUpdateMode>
  Enclosing interface:
    CDOCommonSession.Options

      public static enum CDOCommonSession.Options.PassiveUpdateMode
      extends Enum<CDOCommonSession.Options.PassiveUpdateMode>

  Enumerates the possible `passive update modes` of a CDO session.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDITIONS` This mode delivers change deltas for all changed objects, whether they have change subscriptions or not.
    `CHANGES` This mode delivers change deltas for all changed objects, whether they have change subscriptions or not.
    `INVALIDATIONS` This mode delivers change deltas only for change subscriptions, invalidation information for all other objects.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDOCommonSession.Options.PassiveUpdateMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDOCommonSession.Options.PassiveUpdateMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALIDATIONS

          public static final CDOCommonSession.Options.PassiveUpdateMode INVALIDATIONS

      This mode delivers change deltas only for change subscriptions, invalidation information for all other objects.

    - #### CHANGES

          public static final CDOCommonSession.Options.PassiveUpdateMode CHANGES

      This mode delivers change deltas for all changed objects, whether they have change subscriptions or not. Revisions for new objects are not delivered.

    - #### ADDITIONS

          public static final CDOCommonSession.Options.PassiveUpdateMode ADDITIONS

      This mode delivers change deltas for all changed objects, whether they have change subscriptions or not. In addition full revisions for new objects are delivered.

  - ### Method Detail

    - #### values

          public static CDOCommonSession.Options.PassiveUpdateMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOCommonSession.Options.PassiveUpdateMode c : CDOCommonSession.Options.PassiveUpdateMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOCommonSession.Options.PassiveUpdateMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html